Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80696 - Ghostscript stopped working
Summary: Ghostscript stopped working
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-30 01:45 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-11 13:35:45 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-30 01:45:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.3a) Gecko/20021216

Description of problem:
At some stage ghostscript has stopped functioning (at all)

This means that when I print the application zombies until I kill the print job

The CUPS test page prints but absolutely nothing else


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Print a page from any application
2. Watch process zombie
3. Kill lpr process to get application back
    

Additional info:

gs zvtcvs 
GNU Ghostscript 7.05 (2002-04-22)
Copyright (C) 2002 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading NimbusRomNo9L-Regu font from
/usr/share/fonts/default/Type1/n021003l.pfb... 2410668 1053956 1642520 347466 0
done.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb...
2785628 1376927 1662616 358040 0 done.
Error: /undefined in export
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3  
%oparray_pop   1   3   %oparray_pop   .runexec2   --nostringval--  
--nostringval--   --nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   --nostringval--
Dictionary stack:
   --dict:1049/1123(ro)(G)--   --dict:0/20(G)--   --dict:88/200(L)--
Current allocation mode is local
Current file position is 7
GNU Ghostscript 7.05: Unrecoverable error, exit code 1
You have new mail in /var/spool/mail/mike

This is the output from a ps file

 gs moz.ps 
GNU Ghostscript 7.05 (2002-04-22)
Copyright (C) 2002 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading NimbusRomNo9L-Regu font from
/usr/share/fonts/default/Type1/n021003l.pfb... 2410668 1053956 1642520 347466 0
done.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb...
2785628 1376927 1662616 358040 0 done.
Loading NimbusRomNo9L-Medi font from
/usr/share/fonts/default/Type1/n021004l.pfb... 3110312 1624313 1702808 362592 0
done.
Loading NimbusRomNo9L-MediItal font from
/usr/share/fonts/default/Type1/n021024l.pfb... 3247552 1707724 1702808 352740 0
done.
Loading NimbusRomNo9L-ReguItal font from
/usr/share/fonts/default/Type1/n021023l.pfb... 3384792 1845566 1702808 358232 0
done.
Loading NimbusSanL-Bold font from /usr/share/fonts/default/Type1/n019004l.pfb...
3481840 1942931 1702808 365629 0 done.
Loading NimbusSanL-BoldItal font from
/usr/share/fonts/default/Type1/n019024l.pfb... 3578888 2031271 1722904 361660 0
done.
Loading NimbusSanL-ReguItal font from
/usr/share/fonts/default/Type1/n019023l.pfb... 3675936 2129647 1722904 367152 0
done.
Loading NimbusMonL-Regu font from /usr/share/fonts/default/Type1/n022003l.pfb...
3833272 2268269 1722904 363400 0 done.
Loading NimbusMonL-Bold font from /usr/share/fonts/default/Type1/n022004l.pfb...
4016732 2444666 1722904 368978 0 done.
Loading NimbusMonL-BoldObli font from
/usr/share/fonts/default/Type1/n022024l.pfb... 4174068 2596472 1722904 366012 0
done.
Loading NimbusMonL-ReguObli font from
/usr/share/fonts/default/Type1/n022023l.pfb... 4311308 2735399 1722904 371504 0
done.
Loading StandardSymL font from /usr/share/fonts/default/Type1/s050000l.pfb...
4351500 2770078 1743000 371680 0 done.
Error: /syntaxerror in -file-
Operand stack:
   unicodeshow
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3  
%oparray_pop   1   3   %oparray_pop   .runexec2   --nostringval--  
--nostringval--   --nostringval--   2   %stopped_push   --nostringval--  
--nostringval--
Dictionary stack:
   --dict:1049/1123(ro)(G)--   --dict:0/20(G)--   --dict:116/200(L)--
Current allocation mode is local
Last OS error: 2
GNU Ghostscript 7.05: Unrecoverable error, exit code 1

Comment 1 Tim Waugh 2003-01-06 13:11:04 UTC
Does 'gs /usr/share/printconf/tests/testpage-a4.ps' work?

Comment 2 Tim Waugh 2004-11-11 13:35:45 UTC
Closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.